Get the LinkedIn company
curl --request GET \
--url https://api.harvest-api.com/linkedin/company \
--header 'X-API-Key: <api-key>'{
"element": {
"universalName": "<string>",
"id": "<string>",
"name": "<string>",
"tagline": "<string>",
"website": "<string>",
"linkedinUrl": "<string>",
"logo": "<string>",
"foundedOn": {
"month": "<string>",
"year": 123,
"day": "<string>"
},
"employeeCount": 123,
"employeeCountRange": {
"start": 123,
"end": 123
},
"followerCount": 123,
"description": "<string>",
"headquarter": {
"geographicArea": "<string>",
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"line2": "<string>",
"line1": "<string>",
"description": "<string>",
"parsed": {
"text": "<string>",
"countryCode": "<string>",
"regionCode": "<string>",
"country": "<string>",
"countryFull": "<string>",
"state": "<string>",
"city": "<string>"
}
},
"locations": [
{
"localizedName": "<string>",
"headquarter": true,
"description": "<string>",
"country": "<string>",
"geographicArea": "<string>",
"city": "<string>",
"postalCode": "<string>",
"line2": "<string>",
"line1": "<string>"
}
],
"specialities": [
"<string>"
],
"industries": [
"<string>"
],
"logos": [
{
"url": "<string>",
"width": 123,
"height": 123,
"expiresAt": 123
}
],
"backgroundCovers": [
{
"url": "<string>",
"width": 123,
"height": 123,
"expiresAt": 123
}
],
"active": true,
"jobSearchUrl": "<string>",
"phone": "<string>",
"crunchbaseFundingData": {
"numberOfFundingRounds": 123,
"lastFundingRound": {
"localizedFundingType": "<string>",
"leadInvestors": [
{}
],
"moneyRaised": {
"amount": "<string>",
"currencyCode": "<string>"
},
"fundingRoundUrl": "<string>",
"announcedOn": {
"month": 123,
"year": 123,
"day": 123
},
"numberOfOtherInvestors": 123,
"investorsUrl": "<string>"
},
"organizationUrl": "<string>",
"updatedAt": 123,
"fundingRoundsUrl": "<string>"
},
"pageVerified": true
},
"status": "<string>",
"error": "<string>",
"query": {
"url": "<string>",
"universalName": "<string>"
}
}LinkedIn Company
Get Company
Get the LinkedIn company. Required at least one of the query parameters
GET
/
linkedin
/
company
Get the LinkedIn company
curl --request GET \
--url https://api.harvest-api.com/linkedin/company \
--header 'X-API-Key: <api-key>'{
"element": {
"universalName": "<string>",
"id": "<string>",
"name": "<string>",
"tagline": "<string>",
"website": "<string>",
"linkedinUrl": "<string>",
"logo": "<string>",
"foundedOn": {
"month": "<string>",
"year": 123,
"day": "<string>"
},
"employeeCount": 123,
"employeeCountRange": {
"start": 123,
"end": 123
},
"followerCount": 123,
"description": "<string>",
"headquarter": {
"geographicArea": "<string>",
"city": "<string>",
"country": "<string>",
"postalCode": "<string>",
"line2": "<string>",
"line1": "<string>",
"description": "<string>",
"parsed": {
"text": "<string>",
"countryCode": "<string>",
"regionCode": "<string>",
"country": "<string>",
"countryFull": "<string>",
"state": "<string>",
"city": "<string>"
}
},
"locations": [
{
"localizedName": "<string>",
"headquarter": true,
"description": "<string>",
"country": "<string>",
"geographicArea": "<string>",
"city": "<string>",
"postalCode": "<string>",
"line2": "<string>",
"line1": "<string>"
}
],
"specialities": [
"<string>"
],
"industries": [
"<string>"
],
"logos": [
{
"url": "<string>",
"width": 123,
"height": 123,
"expiresAt": 123
}
],
"backgroundCovers": [
{
"url": "<string>",
"width": 123,
"height": 123,
"expiresAt": 123
}
],
"active": true,
"jobSearchUrl": "<string>",
"phone": "<string>",
"crunchbaseFundingData": {
"numberOfFundingRounds": 123,
"lastFundingRound": {
"localizedFundingType": "<string>",
"leadInvestors": [
{}
],
"moneyRaised": {
"amount": "<string>",
"currencyCode": "<string>"
},
"fundingRoundUrl": "<string>",
"announcedOn": {
"month": 123,
"year": 123,
"day": 123
},
"numberOfOtherInvestors": 123,
"investorsUrl": "<string>"
},
"organizationUrl": "<string>",
"updatedAt": 123,
"fundingRoundsUrl": "<string>"
},
"pageVerified": true
},
"status": "<string>",
"error": "<string>",
"query": {
"url": "<string>",
"universalName": "<string>"
}
}const params = new URLSearchParams({
url: 'https://www.linkedin.com/company/google/', // by URL
// universalName: 'google', // by universalName alternatively
});
fetch(`https://api.harvest-api.com/linkedin/company?${params.toString()}`, {
headers: { 'X-API-Key': '<api-key>' },
})
.then((response) => response.json())
.then((data) => console.log(data));
Authorizations
Query Parameters
URL of the LinkedIn company (optional)
Universal name of the LinkedIn company profile, can be found in URL (optional)
Company name. It will use LinkedIn search and return the most relevant result.
⌘I

